CVE-2022-25236

NameCVE-2022-25236
Descriptionxmlparse.c in Expat (aka libexpat) before 2.4.5 allows attackers to insert namespace-separator characters into namespace URIs.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub advisories/code/issues, web search, more)
ReferencesDLA-2935-1, DSA-5085-1
Debian Bugs1005895

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
expat (PTS)buster2.2.6-2+deb10u4fixed
buster (security)2.2.6-2+deb10u6fixed
bullseye2.2.10-2+deb11u3fixed
bullseye (security)2.2.10-2+deb11u5fixed
bookworm, sid2.5.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
expatsourcestretch2.2.0-2+deb9u5DLA-2935-1
expatsourcebuster2.2.6-2+deb10u3DSA-5085-1
expatsourcebullseye2.2.10-2+deb11u2DSA-5085-1
expatsource(unstable)2.4.5-11005895

Notes

https://github.com/libexpat/libexpat/pull/561
https://github.com/libexpat/libexpat/commit/6881a4fc8596307ab9ff2e85e605afa2e413ab71
https://github.com/libexpat/libexpat/commit/a2fe525e660badd64b6c557c2b1ec26ddc07f6e4
https://github.com/libexpat/libexpat/commit/2de077423fb22750ebea599677d523b53cb93b1d
Relaxed fix: https://github.com/libexpat/libexpat/pull/577
https://github.com/libexpat/libexpat/commit/2ba6c76fca21397959145e18c5ef376201209020
https://github.com/libexpat/libexpat/commit/e0f852db1e3b1e6d34922c68a653c3cc4b85361c
https://github.com/libexpat/libexpat/commit/5dd52182972a35f2251a07784eda35d3d52d3e07
https://github.com/libexpat/libexpat/commit/c57bea96b73eee1c6d5e288f0f57efbf5238e49a

Search for package or bug name: Reporting problems